NOTE  = !! change the next line to fit your filename; no spaces at file name end !!
FILE  = Thesis

all: all-graphviz
	pdflatex $(FILE)
	bibtex $(FILE)
	makeindex Thesis.nlo -s nomencl.ist -o Thesis.nls
	pdflatex $(FILE)
	pdflatex $(FILE)

clean:
	rm -f *.dvi *.log *.aux *.bbl *.blg *.toc *.lof *.lot *.cb *.~ *.ilg *.nlo *.nls *.out *.glo

all-graphviz:
	for dot in graphviz/*.dot; do make $${dot%%.dot}.png; done

graphviz/%.png: graphviz/%.dot
	dot -Tpng < $< > $@
